function [K]=covar_SE_exp(x1,x2,lambda,dummy)

[r1,c1]=size(x1);
[r2,c2]=size(x2);

M   = exp(lambda(1));
amp = exp(lambda(2));
if c1==c2
    apostasi =  sq_dist(x1/M);
    K        =  amp*exp(-apostasi/2);
else
    K   =  amp*exp(-sq_dist(x1/M,x2/M)/2);
end

K   =  K';



